DELETE
/api/v1/efs/{sfs_id}/node/{VPC_NODE_ID}/prohibit/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/efs/{sfs_id}/node/{VPC_NODE_ID}/prohibit/?connection_type=<CONNECTION_TYPE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/efs/{sfs_id}/node/{VPC_NODE_ID}/prohibit/", params={"connection_type": "<CONNECTION_TYPE>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/efs/{sfs_id}/node/{VPC_NODE_ID}/prohibit/");url.search = new URLSearchParams({ connection_type: "<CONNECTION_TYPE>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”VPC_NODE_ID
required
integer
VPC Network ID
sfs_id
required
string
Security Grp Id
Query Parameters
Section titled “Query Parameters”connection_type
required
integer
Connection type
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful response indicating network de-configuration initiation
Media typeapplication/json
object
code
integer
data
object
efs_id
string
errors
object
message
string
Example
{ "code": 200, "data": { "efs_id": "636" }, "errors": {}, "message": "Network De-configuration Initiated. Expected completion within 2-3 minutes."}